## rust-gdk-pixbuf 0.5.0

=== Makefile ===
GIR = gir/target/bin/gir
GIR_SRC = gir/Cargo.toml gir/Cargo.lock gir/build.rs $(shell find gir/src -name '*.rs')
GIR_FILES = gir-files/Gtk-3.0.gir

# Run `gir` generating the bindings
gir : src/auto/mod.rs

not_bound: $(GIR) $(GIR_FILES)
	$(GIR) -m not_bound -c Gir.toml

regen_check: $(GIR) $(GIR_FILES)
	rm src/auto/*
	$(GIR) -c Gir.toml
	git diff -R --exit-code

src/auto/mod.rs : Gir.toml $(GIR) $(GIR_FILES)
	$(GIR) -c Gir.toml

$(GIR) : $(GIR_SRC)
	rm -f gir/target/bin/gir
	cargo install --path gir --root gir/target
	rm -f gir/target/.crates.toml

$(GIR_SRC) $(GIR_FILES) :
	git submodule update --init

=== debian/changelog ===
rust-gdk-pixbuf (0.5.0-2) unstable; urgency=medium

  * Package gdk-pixbuf 0.5.0 from crates.io using debcargo 2.2.9
  * Patch out futures-preview support

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Sun, 20 Jan 2019 21:59:16 +0100

rust-gdk-pixbuf (0.5.0-1) unstable; urgency=medium

  * Package gdk-pixbuf 0.5.0 from crates.io using debcargo 2.2.9

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Tue, 18 Dec 2018 10:21:27 +0100

=== debian/control ===
Source: rust-gdk-pixbuf
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 10),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-gdk-pixbuf-sys-0.7+default-dev <!nocheck>,
 librust-gio-0.5+default-dev <!nocheck>,
 librust-gio-sys-0.7+default-dev <!nocheck>,
 librust-glib-0.6+default-dev <!nocheck>,
 librust-glib-sys-0.7+default-dev <!nocheck>,
 librust-gobject-sys-0.7+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gdk-pixbuf]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gdk-pixbuf
Homepage: http://gtk-rs.org/

Package: librust-gdk-pixbuf-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-sys-0.7+default-dev,
 librust-gio-0.5+default-dev,
 librust-gio-sys-0.7+default-dev,
 librust-glib-0.6+default-dev,
 librust-glib-sys-0.7+default-dev,
 librust-gobject-sys-0.7+default-dev,
 librust-libc-0.2+default-dev
Suggests:
 librust-gdk-pixbuf+dox-dev (= ${binary:Version}),
 librust-gdk-pixbuf+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-pixbuf+fragile-dev (= ${binary:Version}),
 librust-gdk-pixbuf+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-pixbuf+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-28-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-30-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-32-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-36-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-36-8-dev (= ${binary:Version})
Provides:
 librust-gdk-pixbuf+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5.0-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5.0+default-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - Rust source code
 This package contains the source for the Rust gdk-pixbuf crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: librust-gdk-pixbuf+dox-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-dev (= ${binary:Version}),
 librust-gdk-pixbuf-sys-0.7+dox-dev,
 librust-glib-0.6+dox-dev
Provides:
 librust-gdk-pixbuf-0+dox-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5+dox-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5.0+dox-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - feature "dox"
 This metapackage enables feature dox for the Rust gdk-pixbuf crate, by pulling
 in any additional dependencies needed by that feature.

Package: librust-gdk-pixbuf+embed-lgpl-docs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-dev (= ${binary:Version}),
 librust-gtk-rs-lgpl-docs-0.1+default-dev (>= 0.1.3-~~)
Provides:
 librust-gdk-pixbuf-0+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5.0+embed-lgpl-docs-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - feature "embed-lgpl-docs"
 This metapackage enables feature embed-lgpl-docs for the Rust gdk-pixbuf crate,
 by pulling in any additional dependencies needed by that feature.

Package: librust-gdk-pixbuf+fragile-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-dev (= ${binary:Version}),
 librust-fragile-0.3+default-dev
Provides:
 librust-gdk-pixbuf-0+fragile-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5+fragile-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5.0+fragile-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - feature "fragile"
 This metapackage enables feature fragile for the Rust gdk-pixbuf crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-gdk-pixbuf+gtk-rs-lgpl-docs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-dev (= ${binary:Version}),
 librust-gtk-rs-lgpl-docs-0.1+default-dev (>= 0.1.3-~~)
Provides:
 librust-gdk-pixbuf-0+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5.0+gtk-rs-lgpl-docs-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - feature "gtk-rs-lgpl-docs"
 This metapackage enables feature gtk-rs-lgpl-docs for the Rust gdk-pixbuf
 crate, by pulling in any additional dependencies needed by that feature.

Package: librust-gdk-pixbuf+purge-lgpl-docs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-dev (= ${binary:Version}),
 librust-gtk-rs-lgpl-docs-0.1+default-dev (>= 0.1.3-~~)
Provides:
 librust-gdk-pixbuf-0+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5.0+purge-lgpl-docs-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - feature "purge-lgpl-docs"
 This metapackage enables feature purge-lgpl-docs for the Rust gdk-pixbuf crate,
 by pulling in any additional dependencies needed by that feature.

Package: librust-gdk-pixbuf+v2-28-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-dev (= ${binary:Version}),
 librust-gdk-pixbuf-sys-0.7+v2-28-dev
Provides:
 librust-gdk-pixbuf-0+v2-28-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5+v2-28-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5.0+v2-28-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - feature "v2_28"
 This metapackage enables feature v2_28 for the Rust gdk-pixbuf crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-gdk-pixbuf+v2-30-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-28-dev (= ${binary:Version}),
 librust-gdk-pixbuf-sys-0.7+v2-30-dev
Provides:
 librust-gdk-pixbuf-0+v2-30-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5+v2-30-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5.0+v2-30-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - feature "v2_30"
 This metapackage enables feature v2_30 for the Rust gdk-pixbuf crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-gdk-pixbuf+v2-32-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-30-dev (= ${binary:Version}),
 librust-gdk-pixbuf-sys-0.7+v2-32-dev
Provides:
 librust-gdk-pixbuf-0+v2-32-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5+v2-32-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5.0+v2-32-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - feature "v2_32"
 This metapackage enables feature v2_32 for the Rust gdk-pixbuf crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-gdk-pixbuf+v2-36-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-32-dev (= ${binary:Version}),
 librust-gdk-pixbuf-sys-0.7+v2-36-dev
Provides:
 librust-gdk-pixbuf-0+v2-36-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5+v2-36-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5.0+v2-36-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - feature "v2_36"
 This metapackage enables feature v2_36 for the Rust gdk-pixbuf crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-gdk-pixbuf+v2-36-8-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-36-dev (= ${binary:Version}),
 librust-gdk-pixbuf-sys-0.7+v2-36-8-dev
Provides:
 librust-gdk-pixbuf-0+v2-36-8-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5+v2-36-8-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.5.0+v2-36-8-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - feature "v2_36_8"
 This metapackage enables feature v2_36_8 for the Rust gdk-pixbuf crate, by
 pulling in any additional dependencies needed by that feature.

## rust-gdk-pixbuf 0.7.0

=== debian/changelog ===
rust-gdk-pixbuf (0.7.0-2) unstable; urgency=medium

  * Team upload.
  * Package gdk-pixbuf 0.7.0 from crates.io using debcargo 2.2.10
  * Source upload for migration

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 06 Aug 2019 18:22:47 +0200

rust-gdk-pixbuf (0.7.0-1) unstable; urgency=medium

  * Package gdk-pixbuf 0.7.0 from crates.io using debcargo 2.3.0

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Mon, 08 Jul 2019 06:19:58 +0200

=== debian/control ===
Source: rust-gdk-pixbuf
Section: rust
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 15),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-gdk-pixbuf-sys-0.9+default-dev <!nocheck>,
 librust-gio-0.7+default-dev <!nocheck>,
 librust-gio-sys-0.9+default-dev <!nocheck>,
 librust-glib-0.8+default-dev <!nocheck>,
 librust-glib-sys-0.9+default-dev <!nocheck>,
 librust-gobject-sys-0.9+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gdk-pixbuf]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gdk-pixbuf
Homepage: http://gtk-rs.org/

Package: librust-gdk-pixbuf-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-sys-0.9+default-dev,
 librust-gio-0.7+default-dev,
 librust-gio-sys-0.9+default-dev,
 librust-glib-0.8+default-dev,
 librust-glib-sys-0.9+default-dev,
 librust-gobject-sys-0.9+default-dev,
 librust-libc-0.2+default-dev
Suggests:
 librust-gdk-pixbuf+dox-dev (= ${binary:Version}),
 librust-gdk-pixbuf+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-pixbuf+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-pixbuf+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-32-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-36-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-36-8-dev (= ${binary:Version})
Provides:
 librust-gdk-pixbuf+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.7-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.7+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.7.0-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.7.0+default-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - Rust source code
 This package contains the source for the Rust gdk-pixbuf crate, packaged by
 debcargo for use with cargo and dh-cargo.

Package: librust-gdk-pixbuf+dox-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-dev (= ${binary:Version}),
 librust-gdk-pixbuf-sys-0.9+dox-dev,
 librust-glib-0.8+dox-dev
Provides:
 librust-gdk-pixbuf-0+dox-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.7+dox-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.7.0+dox-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - feature "dox"
 This metapackage enables feature dox for the Rust gdk-pixbuf crate, by pulling
 in any additional dependencies needed by that feature.

Package: librust-gdk-pixbuf+embed-lgpl-docs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-dev (= ${binary:Version}),
 librust-gtk-rs-lgpl-docs-0.1+default-dev (>= 0.1.3-~~)
Provides:
 librust-gdk-pixbuf-0+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.7+embed-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.7.0+embed-lgpl-docs-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - feature "embed-lgpl-docs"
 This metapackage enables feature embed-lgpl-docs for the Rust gdk-pixbuf crate,
 by pulling in any additional dependencies needed by that feature.

Package: librust-gdk-pixbuf+gtk-rs-lgpl-docs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-dev (= ${binary:Version}),
 librust-gtk-rs-lgpl-docs-0.1+default-dev (>= 0.1.3-~~)
Provides:
 librust-gdk-pixbuf-0+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.7+gtk-rs-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.7.0+gtk-rs-lgpl-docs-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - feature "gtk-rs-lgpl-docs"
 This metapackage enables feature gtk-rs-lgpl-docs for the Rust gdk-pixbuf
 crate, by pulling in any additional dependencies needed by that feature.

Package: librust-gdk-pixbuf+purge-lgpl-docs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-dev (= ${binary:Version}),
 librust-gtk-rs-lgpl-docs-0.1+default-dev (>= 0.1.3-~~)
Provides:
 librust-gdk-pixbuf-0+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.7+purge-lgpl-docs-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.7.0+purge-lgpl-docs-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - feature "purge-lgpl-docs"
 This metapackage enables feature purge-lgpl-docs for the Rust gdk-pixbuf crate,
 by pulling in any additional dependencies needed by that feature.

Package: librust-gdk-pixbuf+v2-32-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-dev (= ${binary:Version}),
 librust-gdk-pixbuf-sys-0.9+v2-32-dev
Provides:
 librust-gdk-pixbuf-0+v2-32-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.7+v2-32-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.7.0+v2-32-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - feature "v2_32"
 This metapackage enables feature v2_32 for the Rust gdk-pixbuf crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-gdk-pixbuf+v2-36-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-32-dev (= ${binary:Version}),
 librust-gdk-pixbuf-sys-0.9+v2-36-dev
Provides:
 librust-gdk-pixbuf-0+v2-36-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.7+v2-36-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.7.0+v2-36-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - feature "v2_36"
 This metapackage enables feature v2_36 for the Rust gdk-pixbuf crate, by
 pulling in any additional dependencies needed by that feature.

Package: librust-gdk-pixbuf+v2-36-8-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-36-dev (= ${binary:Version}),
 librust-gdk-pixbuf-sys-0.9+v2-36-8-dev
Provides:
 librust-gdk-pixbuf-0+v2-36-8-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.7+v2-36-8-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.7.0+v2-36-8-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - feature "v2_36_8"
 This metapackage enables feature v2_36_8 for the Rust gdk-pixbuf crate, by
 pulling in any additional dependencies needed by that feature.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.7.0 --all-targets --all-features
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.7.0 --all-targets --no-default-features
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gdk-pixbuf-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.7.0 --all-targets --features dox
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gdk-pixbuf+dox-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.7.0 --all-targets --features embed-lgpl-docs
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gdk-pixbuf+embed-lgpl-docs-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.7.0 --all-targets --features gtk-rs-lgpl-docs
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gdk-pixbuf+gtk-rs-lgpl-docs-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.7.0 --all-targets --features purge-lgpl-docs
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gdk-pixbuf+purge-lgpl-docs-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.7.0 --all-targets --features v2_32
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gdk-pixbuf+v2-32-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.7.0 --all-targets --features v2_36
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gdk-pixbuf+v2-36-dev
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.7.0 --all-targets --features v2_36_8
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, librust-gdk-pixbuf+v2-36-8-dev
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/gdk-pixbuf-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/gdk-pixbuf .*/crates/gdk-pixbuf/@ANY_VERSION@/download

## rust-gdk-pixbuf 0.14.0

=== debian/changelog ===
rust-gdk-pixbuf (0.14.0-1) unstable; urgency=medium

  * Team upload.
  * Package gdk-pixbuf 0.14.0 from crates.io using debcargo 2.5.0 (Closes: 1002137)

  [ Henry-Nicolas Tourneur ]
  * Package gdk-pixbuf 0.14.0 from crates.io using debcargo 2.4.4
  * d/patches: removed patch remove-futures-preview-feature.diff

 -- Peter Michael Green <plugwash@debian.org>  Tue, 28 Dec 2021 21:14:51 +0000

=== debian/control ===
Source: rust-gdk-pixbuf
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-gdk-pixbuf-sys-0.14+default-dev <!nocheck>,
 librust-gio-0.14+default-dev <!nocheck>,
 librust-glib-0.14+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Wolfgang Silbermayr <wolfgang@silbermayr.at>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gdk-pixbuf]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gdk-pixbuf
Homepage: https://gtk-rs.org/
Rules-Requires-Root: no

Package: librust-gdk-pixbuf-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-sys-0.14+default-dev,
 librust-gdk-pixbuf-sys-0.14+dox-dev,
 librust-gdk-pixbuf-sys-0.14+v2-36-8-dev,
 librust-gdk-pixbuf-sys-0.14+v2-36-dev,
 librust-gdk-pixbuf-sys-0.14+v2-40-dev,
 librust-gio-0.14+default-dev,
 librust-glib-0.14+default-dev,
 librust-glib-0.14+dox-dev,
 librust-libc-0.2+default-dev
Provides:
 librust-gdk-pixbuf+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf+dox-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-36-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-36-8-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-40-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0+dox-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0+v2-36-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0+v2-36-8-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0+v2-40-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.14-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.14+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.14+dox-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.14+v2-36-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.14+v2-36-8-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.14+v2-40-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.14.0-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.14.0+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.14.0+dox-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.14.0+v2-36-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.14.0+v2-36-8-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.14.0+v2-40-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - Rust source code
 This package contains the source for the Rust gdk-pixbuf crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.14.0 --all-targets --all-features
Features: test-name=rust-gdk-pixbuf:@
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.14.0 --all-targets 
Features: test-name=librust-gdk-pixbuf-dev:default
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.14.0 --all-targets --no-default-features --features dox
Features: test-name=librust-gdk-pixbuf-dev:dox
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.14.0 --all-targets --no-default-features --features v2_36
Features: test-name=librust-gdk-pixbuf-dev:v2_36
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.14.0 --all-targets --no-default-features --features v2_36_8
Features: test-name=librust-gdk-pixbuf-dev:v2_36_8
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.14.0 --all-targets --no-default-features --features v2_40
Features: test-name=librust-gdk-pixbuf-dev:v2_40
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.14.0 --all-targets --no-default-features
Features: test-name=librust-gdk-pixbuf-dev:
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/gdk-pixbuf-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/gdk-pixbuf .*/crates/gdk-pixbuf/@ANY_VERSION@/download

## rust-gdk-pixbuf 0.17.10

=== debian/changelog ===
rust-gdk-pixbuf (0.17.10-1) unstable; urgency=medium

  * Package gdk-pixbuf 0.17.10 from crates.io using debcargo 2.6.0
  * Removed inactive uploader, added my new mail address
  * Added relax-gir-dep.diff patch to enable tests

 -- Matthias Geiger <werdahias@riseup.net>  Wed, 02 Aug 2023 00:21:05 +0200

rust-gdk-pixbuf (0.16.7-2) unstable; urgency=medium

  * Package gdk-pixbuf 0.16.7 from crates.io using debcargo 2.6.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sun, 25 Jun 2023 20:59:32 +0200

rust-gdk-pixbuf (0.16.7-1) experimental; urgency=medium

  * Package gdk-pixbuf 0.16.7 from crates.io using debcargo 2.6.0
  * Marked tests as broken in debcargo.toml
  * Added myself to uploaders

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sat, 20 May 2023 15:13:39 +0200

=== debian/control ===
Source: rust-gdk-pixbuf
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-1+default-dev (>= 1.3-~~) <!nocheck>,
 librust-gdk-pixbuf-sys-0.17+default-dev <!nocheck>,
 librust-gio-0.17+default-dev <!nocheck>,
 librust-glib-0.17+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-once-cell-1+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <werdahias@riseup.net>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gdk-pixbuf]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gdk-pixbuf
Homepage: https://gtk-rs.org/
X-Cargo-Crate: gdk-pixbuf
Rules-Requires-Root: no

Package: librust-gdk-pixbuf-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-1+default-dev (>= 1.3-~~),
 librust-gdk-pixbuf-sys-0.17+default-dev,
 librust-gdk-pixbuf-sys-0.17+v2-40-dev,
 librust-gdk-pixbuf-sys-0.17+v2-42-dev,
 librust-gio-0.17+default-dev,
 librust-glib-0.17+default-dev,
 librust-libc-0.2+default-dev,
 librust-once-cell-1+default-dev
Provides:
 librust-gdk-pixbuf+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-40-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-42-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0+v2-40-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0+v2-42-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.17-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.17+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.17+v2-40-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.17+v2-42-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.17.10-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.17.10+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.17.10+v2-40-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.17.10+v2-42-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - Rust source code
 This package contains the source for the Rust gdk-pixbuf crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.17.10 --all-targets --all-features
Features: test-name=rust-gdk-pixbuf:@
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.17.10 --all-targets
Features: test-name=librust-gdk-pixbuf-dev:default
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.17.10 --all-targets --no-default-features --features v2_40
Features: test-name=librust-gdk-pixbuf-dev:v2_40
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.17.10 --all-targets --no-default-features --features v2_42
Features: test-name=librust-gdk-pixbuf-dev:v2_42
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.17.10 --all-targets --no-default-features
Features: test-name=librust-gdk-pixbuf-dev:
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-gdk-pixbuf 0.18.0

=== debian/changelog ===
rust-gdk-pixbuf (0.18.0-3) unstable; urgency=medium

  * Team upload
  * Package gdk-pixbuf 0.18.0 from crates.io using debcargo 2.6.0
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Sep 2023 15:36:21 -0400

rust-gdk-pixbuf (0.18.0-2) experimental; urgency=medium

  * Specified dependency on rustc 1.70

 -- Matthias Geiger <werdahias@riseup.net>  Sat, 16 Sep 2023 13:01:39 +0200

rust-gdk-pixbuf (0.18.0-1) experimental; urgency=medium

  * Package gdk-pixbuf 0.18.0 from crates.io using debcargo 2.6.0
  * Regenerate source code with debian tools before build
  * Rebased patches

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 15 Sep 2023 22:59:53 +0200

=== debian/control ===
Source: rust-gdk-pixbuf
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-gdk-pixbuf-sys-0.18+default-dev <!nocheck>,
 librust-gio-0.18+default-dev <!nocheck>,
 librust-glib-0.18+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 librust-once-cell-1+default-dev <!nocheck>,
 libgdk-pixbuf-2.0-dev <!nocheck>,
 xmlstarlet <!nocheck>,
 gir-rust-code-generator <!nocheck>,
 libgirepository1.0-dev <!nocheck>,
 rustc (>= 1.70) <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <werdahias@riseup.net>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gdk-pixbuf]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gdk-pixbuf
Homepage: https://gtk-rs.org/
X-Cargo-Crate: gdk-pixbuf
Rules-Requires-Root: no

Package: librust-gdk-pixbuf-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-sys-0.18+default-dev,
 librust-gdk-pixbuf-sys-0.18+v2-40-dev,
 librust-gdk-pixbuf-sys-0.18+v2-42-dev,
 librust-gio-0.18+default-dev,
 librust-glib-0.18+default-dev,
 librust-libc-0.2+default-dev,
 librust-once-cell-1+default-dev,
 libgdk-pixbuf-2.0-dev,
 xmlstarlet,
 gir-rust-code-generator,
 libgirepository1.0-dev,
 rustc (>= 1.70)
Provides:
 librust-gdk-pixbuf+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-40-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-42-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0+v2-40-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0+v2-42-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.18-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.18+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.18+v2-40-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.18+v2-42-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.18.0-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.18.0+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.18.0+v2-40-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.18.0+v2-42-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - Rust source code
 This package contains the source for the Rust gdk-pixbuf crate, packaged by
 debcargo for use with cargo and dh-cargo.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem cargo

# regenerating the source code
# the xmlstarlet fixes are taken from upstream here: https://github.com/gtk-rs/gir-files/blob/master/fix.sh
execute_before_dh_auto_build:
	cp /usr/share/gir-1.0/GLib-2.0.gir $(CURDIR)
	cp /usr/share/gir-1.0/GObject-2.0.gir $(CURDIR)
	cp /usr/share/gir-1.0/Gio-2.0.gir $(CURDIR)
	cp /usr/share/gir-1.0/GdkPixbuf-2.0.gir $(CURDIR)
	cp /usr/share/gir-1.0/GModule-2.0.gir $(CURDIR)
	xmlstarlet ed -L \
	-u '//*[@glib:error-domain="g-option-context-error-quark"]/@glib:error-domain' -v g-option-error-quark \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_boolean_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "gboolean*" \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_double_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "gdouble*" \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_integer_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "gint*" \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_locale_string_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "const gchar* const*" \
	-u '//_:record[@name="KeyFile"]/_:method[@name="set_string_list"]//_:parameter[@name="list"]/_:array/@c:type' -v "const gchar* const*" \
	GLib-2.0.gir
	xmlstarlet ed -L \
	-u '//_:class[@name="Object"]/_:method[@name="getv"]//_:parameter[@name="names"]/_:array/@c:type' -v "const gchar**" \
	-u '//_:class[@name="Object"]/_:method[@name="getv"]//_:parameter[@name="values"]/_:array/@c:type' -v "GValue*" \
	-u '//_:class[@name="Object"]/_:method[@name="setv"]//_:parameter[@name="names"]/_:array/@c:type' -v "const gchar**" \
	-u '//_:class[@name="Object"]/_:method[@name="setv"]//_:parameter[@name="values"]/_:array/@c:type' -v "const GValue*" \
	-u '//_:class[@name="Object"]/_:constructor[@name="new_with_properties"]//_:parameter[@name="names"]/_:array/@c:type' -v "const char**" \
	-u '//_:class[@name="Object"]/_:constructor[@name="new_with_properties"]//_:parameter[@name="values"]/_:array/@c:type' -v "const GValue*" \
	-i '//_:interface[@name="TypePlugin" and not(@glib:type-struct)]' -t 'attr' -n 'glib:type-struct' -v 'TypePluginClass' \
	-i '//_:record[@name="TypePluginClass" and not(@glib:is-gtype-struct-for)]' -t 'attr' -n 'glib:is-gtype-struct-for' -v 'TypePlugin' \
	GObject-2.0.gir
	xmlstarlet ed -L \
	-u '//_:record[@name="PixbufModule"]/_:field[@name="module"]/_:type/@name' -v "gpointer" \
	-u '//_:record[@name="PixbufModule"]/_:field[@name="module"]/_:type/@c:type' -v "gpointer" \
	GdkPixbuf-2.0.gir
	sed -i 's/girs_directories\s=\s\[\"\.\.\/gir-files\"\]/girs_directories=\[\".\"\]/' $(CURDIR)/Gir.toml
	gir -o .

# Remove the .gir file before install
execute_before_dh_auto_install:
	rm $(CURDIR)/*.gir

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.18.0 --all-targets --all-features
Features: test-name=rust-gdk-pixbuf:@
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.18.0 --all-targets
Features: test-name=librust-gdk-pixbuf-dev:default
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.18.0 --all-targets --no-default-features --features v2_40
Features: test-name=librust-gdk-pixbuf-dev:v2_40
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.18.0 --all-targets --no-default-features --features v2_42
Features: test-name=librust-gdk-pixbuf-dev:v2_42
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.18.0 --all-targets --no-default-features
Features: test-name=librust-gdk-pixbuf-dev:
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-gdk-pixbuf 0.19.2

=== debian/changelog ===
rust-gdk-pixbuf (0.19.2-1) experimental; urgency=medium

  * Package gdk-pixbuf 0.19.2 from crates.io using debcargo 2.6.1
  * Updated copyright years and Source: url in d/copyright
  * Removed hard dependency on rustc >= 1.70
  * Updated version for gir-rust-code-generator

 -- Matthias Geiger <werdahias@riseup.net>  Tue, 20 Feb 2024 16:50:33 +0100

rust-gdk-pixbuf (0.18.5-1) unstable; urgency=medium

  * Package gdk-pixbuf 0.18.5 from crates.io using debcargo 2.6.1
  * Updated copyright info: added myself as copyright holder for
    debian/files

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 05 Jan 2024 16:06:16 +0100

rust-gdk-pixbuf (0.18.3-1) unstable; urgency=medium

  * Drop unnecessary patch for gir-format-check
  * Package gdk-pixbuf 0.18.3 from crates.io using debcargo 2.6.1
  * Updated debcargo.toml in order for the additional dependencies to
    show up as build-depends only
  * Versioned dependency on gir-rust-code-generator
  * Trim whitespace in d/rules

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 08 Dec 2023 05:11:25 +0100

=== debian/control ===
Source: rust-gdk-pixbuf
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native (>= 1.70) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-gdk-pixbuf-sys-0.19+default-dev <!nocheck>,
 librust-gio-0.19+default-dev <!nocheck>,
 librust-glib-0.19+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 libgdk-pixbuf-2.0-dev,
 xmlstarlet,
 gir-rust-code-generator (>= 0.19.0),
 libgirepository1.0-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <werdahias@riseup.net>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gdk-pixbuf]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gdk-pixbuf
Homepage: https://gtk-rs.org/
X-Cargo-Crate: gdk-pixbuf
Rules-Requires-Root: no

Package: librust-gdk-pixbuf-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-sys-0.19+default-dev,
 librust-gdk-pixbuf-sys-0.19+v2-40-dev,
 librust-gdk-pixbuf-sys-0.19+v2-42-dev,
 librust-gio-0.19+default-dev,
 librust-glib-0.19+default-dev,
 librust-libc-0.2+default-dev
Provides:
 librust-gdk-pixbuf+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-40-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-42-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0+v2-40-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0+v2-42-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.19-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.19+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.19+v2-40-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.19+v2-42-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.19.2-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.19.2+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.19.2+v2-40-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.19.2+v2-42-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - Rust source code
 Source code for Debianized Rust crate "gdk-pixbuf"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.19.2 --all-targets --all-features
Features: test-name=rust-gdk-pixbuf:@
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.19.2 --all-targets
Features: test-name=librust-gdk-pixbuf-dev:default
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.19.2 --all-targets --no-default-features --features v2_40
Features: test-name=librust-gdk-pixbuf-dev:v2_40
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.19.2 --all-targets --no-default-features --features v2_42
Features: test-name=librust-gdk-pixbuf-dev:v2_42
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.19.2 --all-targets --no-default-features
Features: test-name=librust-gdk-pixbuf-dev:
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-gdk-pixbuf 0.20.1

=== debian/changelog ===
rust-gdk-pixbuf (0.20.1-2) unstable; urgency=medium

  * Team upload.
  * Package gdk-pixbuf 0.20.1 from crates.io using debcargo 2.6.1
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 26 Aug 2024 17:58:13 -0400

rust-gdk-pixbuf (0.20.1-1) experimental; urgency=medium

  * Package gdk-pixbuf 0.20.1 from crates.io using debcargo 2.6.1
  * Depend on gir-rust-code-generator 0.20

 -- Matthias Geiger <werdahias@debian.org>  Fri, 16 Aug 2024 20:17:12 +0200

rust-gdk-pixbuf (0.19.2-2) unstable; urgency=medium

  * Upload to unstable 
  * Depend on gir-rust-code-generator 0.19.1

 -- Matthias Geiger <werdahias@riseup.net>  Sat, 04 May 2024 20:09:39 +0200

=== debian/control ===
Source: rust-gdk-pixbuf
Section: rust
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native <!nocheck>,
 rustc:native (>= 1.70) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-gdk-pixbuf-sys-0.20+default-dev <!nocheck>,
 librust-gio-0.20+default-dev <!nocheck>,
 librust-glib-0.20+default-dev <!nocheck>,
 librust-libc-0.2+default-dev <!nocheck>,
 libgdk-pixbuf-2.0-dev,
 xmlstarlet,
 gir-rust-code-generator (>= 0.20),
 libgirepository1.0-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Matthias Geiger <werdahias@debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/gdk-pixbuf]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/gdk-pixbuf
Homepage: https://gtk-rs.org/
X-Cargo-Crate: gdk-pixbuf
Rules-Requires-Root: no

Package: librust-gdk-pixbuf-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-gdk-pixbuf-sys-0.20+default-dev,
 librust-gdk-pixbuf-sys-0.20+v2-40-dev,
 librust-gdk-pixbuf-sys-0.20+v2-42-dev,
 librust-gio-0.20+default-dev,
 librust-glib-0.20+default-dev,
 librust-libc-0.2+default-dev
Provides:
 librust-gdk-pixbuf+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-40-dev (= ${binary:Version}),
 librust-gdk-pixbuf+v2-42-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0+v2-40-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0+v2-42-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.20-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.20+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.20+v2-40-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.20+v2-42-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.20.1-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.20.1+default-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.20.1+v2-40-dev (= ${binary:Version}),
 librust-gdk-pixbuf-0.20.1+v2-42-dev (= ${binary:Version})
Description: Rust bindings for the GdkPixbuf library - Rust source code
 Source code for Debianized Rust crate "gdk-pixbuf"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.20.1 --all-targets --all-features
Features: test-name=rust-gdk-pixbuf:@
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.20.1 --all-targets
Features: test-name=librust-gdk-pixbuf-dev:default
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.20.1 --all-targets --no-default-features --features v2_40
Features: test-name=librust-gdk-pixbuf-dev:v2_40
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.20.1 --all-targets --no-default-features --features v2_42
Features: test-name=librust-gdk-pixbuf-dev:v2_42
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test gdk-pixbuf 0.20.1 --all-targets --no-default-features
Features: test-name=librust-gdk-pixbuf-dev:
Depends: dh-cargo (>= 18), librust-gir-format-check-0.1+default-dev, @
Restrictions: allow-stderr, skip-not-installable
